package com.ruoyi.system.domain.vo;

import java.util.Date;

public class AppUserInfoVo {
    private Long userId;
    private String nickName;
    private String status;
    private Long receiveRockets;
    private Date createTime;
    /** 发出火箭数 */
    private Long sendRockets;
    /** 被关注数(欢迎度) */
    private Long followers;
    /** 关注他人数*/
    private Long followings;
    /** 7天在线时长（通过在线时长表来计算） */
    private Long sOnlineTime;
    /** 7天MR在线时长（通过在线时长表来计算） */
    private Long sMrTime;
    /** 7天消费额（通过订单来计算） */
    private Long sConsumption;
    /** 30天消费额（通过订单来计算） */
    private Long thConsumption;
    /** 手机号 */
    private String phonenumber;
    /** MR在线总长（单位分钟） */
    private Long tMrTime;
    /** 在线总时长（单位分钟） */
    private Long tOnlineTime;
    /*总消费额*/
    private Long tConsumption;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Long getReceiveRockets() {
        return receiveRockets;
    }

    public void setReceiveRockets(Long receiveRockets) {
        this.receiveRockets = receiveRockets;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getSendRockets() {
        return sendRockets;
    }

    public void setSendRockets(Long sendRockets) {
        this.sendRockets = sendRockets;
    }

    public Long getFollowers() {
        return followers;
    }

    public void setFollowers(Long followers) {
        this.followers = followers;
    }

    public Long getFollowings() {
        return followings;
    }

    public void setFollowings(Long followings) {
        this.followings = followings;
    }

    public Long getsOnlineTime() {
        return sOnlineTime;
    }

    public void setsOnlineTime(Long sOnlineTime) {
        this.sOnlineTime = sOnlineTime;
    }

    public Long getsMrTime() {
        return sMrTime;
    }

    public void setsMrTime(Long sMrTime) {
        this.sMrTime = sMrTime;
    }

    public Long getsConsumption() {
        return sConsumption;
    }

    public void setsConsumption(Long sConsumption) {
        this.sConsumption = sConsumption;
    }

    public Long getThConsumption() {
        return thConsumption;
    }

    public void setThConsumption(Long thConsumption) {
        this.thConsumption = thConsumption;
    }

    public String getPhonenumber() {
        return phonenumber;
    }

    public void setPhonenumber(String phonenumber) {
        this.phonenumber = phonenumber;
    }

    public Long gettMrTime() {
        return tMrTime;
    }

    public void settMrTime(Long tMrTime) {
        this.tMrTime = tMrTime;
    }


    public Long gettOnlineTime() {
        return tOnlineTime;
    }

    public void settOnlineTime(Long tOnlineTime) {
        this.tOnlineTime = tOnlineTime;
    }

    public Long gettConsumption() {
        return tConsumption;
    }

    public void settConsumption(Long tConsumption) {
        this.tConsumption = tConsumption;
    }



}
